import { PresenceChannel } from './presence-channel';
import { SocketClusterPrivateChannel } from "./socketcluster-private-channel";
/**
 * This class represents a Socket.io presence channel.
 */
export declare class SocketClusterPresenceChannel extends SocketClusterPrivateChannel implements PresenceChannel {
    /**
     * Register a callback to be called anytime the member list changes.
     */
    here(callback: Function): SocketClusterPresenceChannel;
    /**
     * Listen for someone joining the channel.
     */
    joining(callback: Function): SocketClusterPresenceChannel;
    /**
     * Listen for someone leaving the channel.
     */
    leaving(callback: Function): SocketClusterPresenceChannel;
    /**
     * Trigger client event on the channel.
     */
    whisper(eventName: string, data: any): SocketClusterPresenceChannel;
}
