import { Connector } from './connector';
import { SocketClusterChannel, SocketClusterPrivateChannel, SocketClusterPresenceChannel } from './../channel';
import { SCClientSocket } from "socketcluster-client";
/**
 * This class creates a connnector to a SocketCluster server.
 */
export declare class SocketClusterConnector extends Connector {
    /**
     * The SocketCluster connection instance.
     */
    socket: SCClientSocket;
    /**
     * All of the subscribed channel names.
     */
    channels: {
        [id: string]: any;
    };
    /**
     * Create a fresh SocketCluster connection.
     */
    connect(): void;
    /**
     * Get socket.io module from global scope or options.
     */
    getSocketCluster(): any;
    /**
     * Listen for an event on a channel instance.
     */
    listen(name: string, event: string, callback: Function): SocketClusterChannel;
    /**
     * Get a channel instance by name.
     */
    channel(name: string): SocketClusterChannel;
    /**
     * Get a private channel instance by name.
     */
    privateChannel(name: string): SocketClusterPrivateChannel;
    /**
     * Get a presence channel instance by name.
     */
    presenceChannel(name: string): SocketClusterPresenceChannel;
    /**
     * Leave the given channel, as well as its private and presence variants.
     */
    leave(name: string): void;
    /**
     * Leave the given channel.
     */
    leaveChannel(name: string): void;
    /**
     * Get the socket ID for the connection.
     */
    socketId(): string;
    /**
     * Disconnect SocketCluster connection.
     */
    disconnect(): void;
}
